Bug 1756193 - python3-luxcorerender.x86_64 has unresolved dependency of blender-luxcorerender(x86-64)
Summary: python3-luxcorerender.x86_64 has unresolved dependency of blender-luxcorerend...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: luxcorerender
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-27 02:23 UTC by sima85307
Modified: 2019-10-26 17:27 UTC (History)
3 users (show)

Fixed In Version: luxcorerender-2.2-1.fc31 luxcorerender-2.2-1.fc30 luxcorerender-2.2-4.fc30 luxcorerender-2.2-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:26:49 UTC


Attachments (Terms of Use)

Description sima85307 2019-09-27 02:23:06 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:69.0) Gecko/20100101 Firefox/69.0
Build Identifier: 

The python3-luxcorerender package will not install, due to an resolved dependency of blender-luxcorerender(x86-64).

Reproducible: Always

Steps to Reproduce:
1.  dnf install python3-luxcorerender
Actual Results:  
Error: 
 Problem: conflicting requests
  - nothing provides blender-luxcorerender(x86-64) = 2.2-0.6.beta3.fc30 needed by python3-luxcorerender-2.2-0.6.beta3.fc30.x86_64

Expected Results:  
Installation of package.

I believe I need a populated bin directory within /usr/share/blender/scripts/addons/luxcorerender in order to use the renderer within Blender.  After installing all possible non-devel lux packages, I am bin-less.  One or both of these additional packages likely provides the required files.

Comment 1 Luya Tshimbalanga 2019-09-27 07:56:28 UTC
Both packages need a rebuild. I haven't get the chance to do the change yet and plan to do this weekend.

Comment 2 Fedora Update System 2019-10-02 07:31:18 UTC
FEDORA-2019-b278a8162e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b278a8162e

Comment 3 Fedora Update System 2019-10-03 01:52:20 UTC
blender-2.80-9.fc30, embree-3.6.1-2.fc30, luxcorerender-2.2-1.fc30, openvdb-6.2.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b278a8162e

Comment 4 Fedora Update System 2019-10-03 03:19:43 UTC
blender-2.80-9.fc31, embree-3.6.1-2.fc31, ispc-1.12.0-2.fc31, luxcorerender-2.2-1.fc31, openvdb-6.2.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-93e6beaebd

Comment 5 Fedora Update System 2019-10-08 00:26:49 UTC
blender-2.80-9.fc31, embree-3.6.1-2.fc31, ispc-1.12.0-2.fc31, luxcorerender-2.2-1.fc31, openvdb-6.2.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-10-10 16:55:47 UTC
blender-2.80-9.fc30, embree-3.6.1-2.fc30, luxcorerender-2.2-1.fc30, openvdb-6.2.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 sima85307 2019-10-16 03:10:13 UTC
The problem has not been resolved.

"dnf deplist python3-luxcorerender" shows that the package requires "blender-luxcorerender(x86-64) = 2.2-1.fc30".  Even following a "dnf clean all", I'm simply not seeing that package in the repository.  I see "blender-luxcorerender.noarch", which is installed.

It has been a long time since I've built lux, and the project has been overhauled radically since then, but at that time lux and luxblend were two separate builds.  Luxblend was the Blender add-on allowing lux to be used from within Blender.  (Lux can be used stand-alone. hence the separate build.)

blender-luxcorerender.noarch provides various files in /usr/share/blender/scripts/addons/luxcorerender.  I believe that blender-luxcorerender(x86-64)  - the missing package - provides additional files in /usr/share/blender/scripts/addons/luxcorerender/bin, and that these additional files are required to activate the Blender add-on.

Comment 8 Fedora Update System 2019-10-16 07:59:02 UTC
FEDORA-2019-78b105ad4d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-78b105ad4d

Comment 9 Fedora Update System 2019-10-16 07:59:03 UTC
FEDORA-2019-8f72c69894 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f72c69894

Comment 10 Fedora Update System 2019-10-16 15:00:55 UTC
luxcorerender-2.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f72c69894

Comment 11 Fedora Update System 2019-10-16 16:05:12 UTC
luxcorerender-2.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-78b105ad4d

Comment 12 Fedora Update System 2019-10-17 09:00:57 UTC
FEDORA-2019-2e180161d6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e180161d6

Comment 13 Fedora Update System 2019-10-17 15:30:47 UTC
blender-2.80-11.fc31, luxcorerender-2.2-4.fc31, oidn-1.1.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d5b810c13b

Comment 14 Fedora Update System 2019-10-17 23:42:14 UTC
blender-2.80-11.fc30, luxcorerender-2.2-4.fc30, oidn-1.1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e180161d6

Comment 15 Fedora Update System 2019-10-25 17:01:44 UTC
blender-2.80-11.fc30, luxcorerender-2.2-4.fc30, oidn-1.1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-10-26 17:27:07 UTC
blender-2.80-11.fc31, luxcorerender-2.2-4.fc31, oidn-1.1.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.